Skype 4.3 no longer support ALSA?

You have a problem with Salix? Post here and we'll do what we can to help.
Post Reply
User avatar
roberdaniel
Posts: 5
Joined: 24. Jul 2013, 13:49
Location: Rosario, Argentina

Skype 4.3 no longer support ALSA?

Post by roberdaniel » 13. Jul 2014, 22:46

Hi guys
I just installed Skype 4.3.0.37 in Salix and no sound at all.
In the sound configuration section, only "Virtual Device" is available", and I cant choose another device.
After a few Google search I found this Arch Wiki fourun https://wiki.archlinux.org/index.php/skype
Since version 4.3, Skype requires PulseAudio for voice chatting or sounds. ALSA is no longer supported. See PulseAudio for how to set it up. You can still use Skype without PulseAudio for text chatting.
I feel really bad.
Any ideas?
Regards.

User avatar
gapan
Salix Wizard
Posts: 5913
Joined: 6. Jun 2009, 17:40

Re: Skype 4.3 no longer support ALSA?

Post by gapan » 13. Jul 2014, 23:06

Either install pulseaudio or an older version of skype.
Image
Image

User avatar
mimosa
Salix Warrior
Posts: 3223
Joined: 25. May 2010, 17:02
Contact:

Re: Skype 4.3 no longer support ALSA?

Post by mimosa » 14. Jul 2014, 09:24

Or you could try another VoIP application such as ekiga; though if the people you want to talk to insist on Skype, I suppose you're stuck with it.

User avatar
roberdaniel
Posts: 5
Joined: 24. Jul 2013, 13:49
Location: Rosario, Argentina

Re: Skype 4.3 no longer support ALSA?

Post by roberdaniel » 14. Jul 2014, 14:23

Thank you guys for your help and quick response.
In order to get out of trouble I downgraded to version 4.2 but of course this is not the final solution, it is only a temporary solution.
So I'm equal interested in the two possibilities to move to ekiga or to change to pulseaudio, all depends on how difficult will be each movement...

Gapan: Do you have any paper or notes to move to pulseaudio? Is it a head breaker movement?
Mimosa: It is possible to install ekiga and voice chat with skype users?

Thanks, regards.

User avatar
mimosa
Salix Warrior
Posts: 3223
Joined: 25. May 2010, 17:02
Contact:

Re: Skype 4.3 no longer support ALSA?

Post by mimosa » 14. Jul 2014, 14:37

I believe it is not possible to use ekiga to chat to skype users.

User avatar
gapan
Salix Wizard
Posts: 5913
Joined: 6. Jun 2009, 17:40

Re: Skype 4.3 no longer support ALSA?

Post by gapan » 14. Jul 2014, 19:14

roberdaniel wrote:Gapan: Do you have any paper or notes to move to pulseaudio? Is it a head breaker movement?
Not really, I don't. I'm guessing it's just a matter of installing pulseaudio (and preferably also pavucontrol). In my own experience pulseaudio means audio trouble, but the worst that can happen can be fixed just by removing it again.
Image
Image

djemos
Salix Warrior
Posts: 1201
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: Skype 4.3 no longer support ALSA?

Post by djemos » 19. Jul 2014, 10:33

roberdaniel wrote:Hi guys
I just installed Skype 4.3.0.37 in Salix and no sound at all.
In the sound configuration section, only "Virtual Device" is available", and I cant choose another device.
After a few Google search I found this Arch Wiki fourun https://wiki.archlinux.org/index.php/skype
Since version 4.3, Skype requires PulseAudio for voice chatting or sounds. ALSA is no longer supported. See PulseAudio for how to set it up. You can still use Skype without PulseAudio for textk chatting.

I feel really bad.
Any ideas?
Regards.
sudo slapt-src -i pulseaudio and you are ok. skype latest 4.3 version is working fine. you can find it on slackel repo under extra directory. for 64bit install the package install-multilib and run it to easy install multilib. it is also on extra dir

User avatar
roberdaniel
Posts: 5
Joined: 24. Jul 2013, 13:49
Location: Rosario, Argentina

Re: Skype 4.3 no longer support ALSA?

Post by roberdaniel » 27. Oct 2014, 02:36

Hi djemos
Thank you for your reply.
I will try your suggestions.
Regards!

User avatar
Atip
Posts: 539
Joined: 5. Jun 2011, 04:27

Re: Skype 4.3 no longer support ALSA?

Post by Atip » 28. Oct 2014, 03:36

Check-out topic Skype-4.2 Blocked under Problems.

Post Reply